package de.jottyfan.timetrack.modules.done.fullcalendar;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 * 
 * @author henkej
 *
 */
public class FCEventList implements Serializable {
	private static final long serialVersionUID = 1L;

	private List<FCEventBean> list;

	public FCEventList() {
		super();
		this.list = new ArrayList<FCEventBean>();
	}

	public String toJson() {
		StringBuilder buf = new StringBuilder("[");
		Iterator<FCEventBean> iterator = list.iterator();
		while (iterator.hasNext()) {
			buf.append(iterator.next().toJson());
			if (iterator.hasNext()) {
				buf.append(",");
			}
		}
		buf.append("]");
		return buf.toString();
	}

	public List<FCEventBean> getList() {
		return this.list;
	}

}
